"""Metrics to assess performance on forecasting task.

Functions named as ``*_score`` return a scalar value to maximize: the higher
the better.
Function named as ``*_error`` or ``*_loss`` return a scalar value to minimize:
the lower the better.
"""


__author__ = ["euanenticott-shell"]

__all__ = [
    "_BaseProbaForecastingErrorMetric",
    "PinballLoss",
    "EmpiricalCoverage",
    "ConstraintViolation",
]

from aeon.performance_metrics.forecasting.probabilistic._classes import (
    ConstraintViolation,
    EmpiricalCoverage,
    PinballLoss,
    _BaseProbaForecastingErrorMetric,
)
